<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 For 그누보드5.5 순정

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 04월 17일 수요일 오후 17시 51분 / 맑음, 21.7, 22, 8, 0.1mm, 0%, 1.1ms / 최악, 223, 54, 0.007

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://www.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 For 그누보드5.5 순정 > 프로그램 > 피리 카페 관리 > 내 카페 > 게시판 > 스크랩 하기
=====================================================================

*/

  $member_login_require_n = 1;

  include_once('./_common.php');

  include_once( piree__path($piree_prog_a[770100]['num'], '_CAFE.INFO.CHECK.inc.php') );

  $back_url = '';

  IF ( $member['mb_id'] )
  {

    $sql_select  = "SELECT COUNT(*) AS `cnt` FROM `". $g5['scrap_table'] ."` ";
    $sql_select .= "WHERE `mb_id` = '". $member['mb_id'] ."' AND `bo_table` = '". $bo_table ."' AND `wr_id` = '". $wr_id ."' ";
    $row = sql_fetch($sql_select);

    IF ( $row['cnt'] )
    {

      $back_url = go_piree_cafe_board(null, $piree_cafe_n, $board_cate_n, $wr_id);

    }

  }

  include_once( get_cafe_skin_file('path', 'basic', '_head.sub.php') );

  include_once( piree__path($piree_prog_a[770000]['num'], 'form.lib.php') );

  $piree_cafe_board_scrap_action_u = https_url_get( piree__url($piree_prog_a[770100]['num'], 'piree.cafe.scrap_popin.update.php') );

  IF ( $is_guest )
  {

      $href = './login.php?'.$qstr.'&amp;url='.urlencode(go_piree_cafe_board('', $piree_cafe_n, $board_cate_n, $wr_id));
      $href2 = str_replace('&amp;', '&', $href);
?>
      <script>
          alert('회원만 접근 가능합니다.');
          opener.location.href = '<?php echo $href2;?>';
          window.close();
      </script>
      <noscript>
      <p>회원만 접근 가능합니다.</p>
      <a href="$href">로그인하기</a>
      </noscript>
<?php
    exit;

  }

?>
      <script>
        if ( window.name != 'win_scrap' )
        {
          alert('올바른 방법으로 사용해 주십시오.');
          window.close();
        }
      </script>
<?php

  IF ( $write['wr_is_comment'] )
  {
    alert_close('댓글은 스크랩 할 수 없습니다.');
  }

  IF ( $back_url )
  {

?>
      <script>
        if (confirm("이미 스크랩하신 글 입니다. 지금 스크랩을 확인하시겠습니까?"))
        {
            document.location.href = './piree.cafe.scrap.php';
        }
        else
        {
            window.close();
        }
      </script>
      <noscript>
        <p>이미 스크랩하신 글 입니다.</p>
        <a href="./piree.cafe.scrap.php">스크랩 확인하기</a>
        <a href="<?php echo $back_url; ?>">돌아가기</a>
      </noscript>
<?php
      exit;

  }

  include_once( $board_cate_list_a[$board_cate_n]['board_skin_p'] .'/piree.cafe.scrap_popin.skin.php' );

  include_once( get_cafe_skin_file('path', 'basic', '_tail.sub.php') );

